package com.hai.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * high_gas_order
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class HighGasOrder implements Serializable {
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 交易订单号
     */
    private String orderNo;

    /**
     * 子订单号
     */
    private String childOrderNo;

    /**
     * 渠道类型
     */
    private Integer channelType;

    /**
     * 渠道订单号
     */
    private String channelOrderNo;

    /**
     * 用户id
     */
    private Long memId;

    /**
     * 用户手机号
     */
    private String memPhone;

    /**
     * 公司id
     */
    private Long companyId;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 商户id
     */
    private Long merId;

    /**
     * 商户名称
     */
    private String merName;

    /**
     * 门店id
     */
    private Long storeId;

    /**
     * 门店名称
     */
    private String storeName;

    /**
     * 门店地址
     */
    private String storeAddress;

    /**
     * 交易总优惠金额（优惠券优惠金额+产品优惠金额
     */
    private BigDecimal totalDeductionPrice;

    /**
     * 优惠券优惠金额
     */
    private BigDecimal deductionCouponPrice;

    /**
     * 产品优惠金额
     */
    private BigDecimal deductionProductPrice;

    /**
     * 应付金额
     */
    private BigDecimal payablePrice;

    /**
     * 卡类型 
     */
    private Integer memCardType;

    /**
     * 卡号
     */
    private String memCardNo;

    /**
     * 积分抵扣
     */
    private Integer payGold;

    /**
     * 支付金额
     */
    private BigDecimal payPrice;

    /**
     * 【加油站】加油金额
     */
    private BigDecimal gasRefuelPrice;

    /**
     * 【加油站】车牌
     */
    private String gasCarLicensePlate;

    /**
     * 【加油站】油号
     */
    private String gasOilNo;

    /**
     * 【加油站】油抢号
     */
    private String gasGunNo;

    /**
     * 【加油站】油品类型 1:汽油:2:柴油;3:天然气
     */
    private Integer gasOilType;

    /**
     * 【加油站】平台价
     */
    private BigDecimal gasPricePlatform;

    /**
     * 【加油站】油枪价
     */
    private BigDecimal gasPriceGun;

    /**
     * 【加油站】优惠价
     */
    private BigDecimal gasPriceVip;

    /**
     * 【加油站】国标价
     */
    private BigDecimal gasPriceOfficial;

    /**
     * 【加油站】成本单价
     */
    private BigDecimal gasPriceCost;

    /**
     * 【加油站】成本总价
     */
    private BigDecimal gasPriceCostTotal;

    /**
     * 【加油站】渠道支付金额
     */
    private BigDecimal gasPriceChannelPay;

    /**
     * 【加油站】加油升数
     */
    private BigDecimal gasOilLiters;

    /**
     * 【加油站】加油折扣
     */
    private BigDecimal gasDiscount;

    /**
     * 【加油站】加油补贴
     */
    private BigDecimal gasOilSubsidy;

    /**
     * 【加油站】每升优惠
     */
    private BigDecimal gasLitersPreferences;

    /**
     * 【加油站】优惠价格
     */
    private BigDecimal gasPricePreferences;

    /**
     * 【加油站】班组id
     */
    private Long gasClassGroupId;

    /**
     * 【加油站】班组名称
     */
    private String gasClassGroupName;

    /**
     * 【加油站】班组任务id
     */
    private Long gasClassGroupTaskId;

    /**
     * 【加油站】加油员id
     */
    private Long gasStaffId;

    /**
     * 【加油站】加油员名称
     */
    private String gasStaffName;

    /**
     * 【加油站】业务员id
     */
    private Long gasSalesmanId;

    /**
     * 【加油站】业务员名称
     */
    private String gasSalesmanName;

    /**
     * 【加油站】代理商id
     */
    private Long gasAgentId;

    /**
     * 【加油站】代理商名称
     */
    private String gasAgentName;

    /**
     * 【加油站】代理公司id
     */
    private Long gasOrgId;

    /**
     * 【加油站】代理公司名称
     */
    private String gasOrgName;

    /**
     * 支付方式： 1：支付宝  2：微信  3：金币  4：汇联通工会卡  5：银联
     */
    private Integer payType;

    /**
     * 订单状态：
1. 待支付  
2. 已支付 
3. 已取消  
4. 已退款
5. 退款中
6. 退款失败
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 取消时间
     */
    private Date cancelTime;

    /**
     * 支付时间
     */
    private Date payTime;

    /**
     * 退款时间
     */
    private Date refundTime;

    /**
     * 退款备注
     */
    private String refundRemarks;

    private String ext1;

    private String ext2;

    private String ext3;

    private String ext4;

    private String ext5;

    private String ext6;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getChildOrderNo() {
        return childOrderNo;
    }

    public void setChildOrderNo(String childOrderNo) {
        this.childOrderNo = childOrderNo;
    }

    public Integer getChannelType() {
        return channelType;
    }

    public void setChannelType(Integer channelType) {
        this.channelType = channelType;
    }

    public String getChannelOrderNo() {
        return channelOrderNo;
    }

    public void setChannelOrderNo(String channelOrderNo) {
        this.channelOrderNo = channelOrderNo;
    }

    public Long getMemId() {
        return memId;
    }

    public void setMemId(Long memId) {
        this.memId = memId;
    }

    public String getMemPhone() {
        return memPhone;
    }

    public void setMemPhone(String memPhone) {
        this.memPhone = memPhone;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public Long getMerId() {
        return merId;
    }

    public void setMerId(Long merId) {
        this.merId = merId;
    }

    public String getMerName() {
        return merName;
    }

    public void setMerName(String merName) {
        this.merName = merName;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreAddress() {
        return storeAddress;
    }

    public void setStoreAddress(String storeAddress) {
        this.storeAddress = storeAddress;
    }

    public BigDecimal getTotalDeductionPrice() {
        return totalDeductionPrice;
    }

    public void setTotalDeductionPrice(BigDecimal totalDeductionPrice) {
        this.totalDeductionPrice = totalDeductionPrice;
    }

    public BigDecimal getDeductionCouponPrice() {
        return deductionCouponPrice;
    }

    public void setDeductionCouponPrice(BigDecimal deductionCouponPrice) {
        this.deductionCouponPrice = deductionCouponPrice;
    }

    public BigDecimal getDeductionProductPrice() {
        return deductionProductPrice;
    }

    public void setDeductionProductPrice(BigDecimal deductionProductPrice) {
        this.deductionProductPrice = deductionProductPrice;
    }

    public BigDecimal getPayablePrice() {
        return payablePrice;
    }

    public void setPayablePrice(BigDecimal payablePrice) {
        this.payablePrice = payablePrice;
    }

    public Integer getMemCardType() {
        return memCardType;
    }

    public void setMemCardType(Integer memCardType) {
        this.memCardType = memCardType;
    }

    public String getMemCardNo() {
        return memCardNo;
    }

    public void setMemCardNo(String memCardNo) {
        this.memCardNo = memCardNo;
    }

    public Integer getPayGold() {
        return payGold;
    }

    public void setPayGold(Integer payGold) {
        this.payGold = payGold;
    }

    public BigDecimal getPayPrice() {
        return payPrice;
    }

    public void setPayPrice(BigDecimal payPrice) {
        this.payPrice = payPrice;
    }

    public BigDecimal getGasRefuelPrice() {
        return gasRefuelPrice;
    }

    public void setGasRefuelPrice(BigDecimal gasRefuelPrice) {
        this.gasRefuelPrice = gasRefuelPrice;
    }

    public String getGasCarLicensePlate() {
        return gasCarLicensePlate;
    }

    public void setGasCarLicensePlate(String gasCarLicensePlate) {
        this.gasCarLicensePlate = gasCarLicensePlate;
    }

    public String getGasOilNo() {
        return gasOilNo;
    }

    public void setGasOilNo(String gasOilNo) {
        this.gasOilNo = gasOilNo;
    }

    public String getGasGunNo() {
        return gasGunNo;
    }

    public void setGasGunNo(String gasGunNo) {
        this.gasGunNo = gasGunNo;
    }

    public Integer getGasOilType() {
        return gasOilType;
    }

    public void setGasOilType(Integer gasOilType) {
        this.gasOilType = gasOilType;
    }

    public BigDecimal getGasPricePlatform() {
        return gasPricePlatform;
    }

    public void setGasPricePlatform(BigDecimal gasPricePlatform) {
        this.gasPricePlatform = gasPricePlatform;
    }

    public BigDecimal getGasPriceGun() {
        return gasPriceGun;
    }

    public void setGasPriceGun(BigDecimal gasPriceGun) {
        this.gasPriceGun = gasPriceGun;
    }

    public BigDecimal getGasPriceVip() {
        return gasPriceVip;
    }

    public void setGasPriceVip(BigDecimal gasPriceVip) {
        this.gasPriceVip = gasPriceVip;
    }

    public BigDecimal getGasPriceOfficial() {
        return gasPriceOfficial;
    }

    public void setGasPriceOfficial(BigDecimal gasPriceOfficial) {
        this.gasPriceOfficial = gasPriceOfficial;
    }

    public BigDecimal getGasPriceCost() {
        return gasPriceCost;
    }

    public void setGasPriceCost(BigDecimal gasPriceCost) {
        this.gasPriceCost = gasPriceCost;
    }

    public BigDecimal getGasPriceCostTotal() {
        return gasPriceCostTotal;
    }

    public void setGasPriceCostTotal(BigDecimal gasPriceCostTotal) {
        this.gasPriceCostTotal = gasPriceCostTotal;
    }

    public BigDecimal getGasPriceChannelPay() {
        return gasPriceChannelPay;
    }

    public void setGasPriceChannelPay(BigDecimal gasPriceChannelPay) {
        this.gasPriceChannelPay = gasPriceChannelPay;
    }

    public BigDecimal getGasOilLiters() {
        return gasOilLiters;
    }

    public void setGasOilLiters(BigDecimal gasOilLiters) {
        this.gasOilLiters = gasOilLiters;
    }

    public BigDecimal getGasDiscount() {
        return gasDiscount;
    }

    public void setGasDiscount(BigDecimal gasDiscount) {
        this.gasDiscount = gasDiscount;
    }

    public BigDecimal getGasOilSubsidy() {
        return gasOilSubsidy;
    }

    public void setGasOilSubsidy(BigDecimal gasOilSubsidy) {
        this.gasOilSubsidy = gasOilSubsidy;
    }

    public BigDecimal getGasLitersPreferences() {
        return gasLitersPreferences;
    }

    public void setGasLitersPreferences(BigDecimal gasLitersPreferences) {
        this.gasLitersPreferences = gasLitersPreferences;
    }

    public BigDecimal getGasPricePreferences() {
        return gasPricePreferences;
    }

    public void setGasPricePreferences(BigDecimal gasPricePreferences) {
        this.gasPricePreferences = gasPricePreferences;
    }

    public Long getGasClassGroupId() {
        return gasClassGroupId;
    }

    public void setGasClassGroupId(Long gasClassGroupId) {
        this.gasClassGroupId = gasClassGroupId;
    }

    public String getGasClassGroupName() {
        return gasClassGroupName;
    }

    public void setGasClassGroupName(String gasClassGroupName) {
        this.gasClassGroupName = gasClassGroupName;
    }

    public Long getGasClassGroupTaskId() {
        return gasClassGroupTaskId;
    }

    public void setGasClassGroupTaskId(Long gasClassGroupTaskId) {
        this.gasClassGroupTaskId = gasClassGroupTaskId;
    }

    public Long getGasStaffId() {
        return gasStaffId;
    }

    public void setGasStaffId(Long gasStaffId) {
        this.gasStaffId = gasStaffId;
    }

    public String getGasStaffName() {
        return gasStaffName;
    }

    public void setGasStaffName(String gasStaffName) {
        this.gasStaffName = gasStaffName;
    }

    public Long getGasSalesmanId() {
        return gasSalesmanId;
    }

    public void setGasSalesmanId(Long gasSalesmanId) {
        this.gasSalesmanId = gasSalesmanId;
    }

    public String getGasSalesmanName() {
        return gasSalesmanName;
    }

    public void setGasSalesmanName(String gasSalesmanName) {
        this.gasSalesmanName = gasSalesmanName;
    }

    public Long getGasAgentId() {
        return gasAgentId;
    }

    public void setGasAgentId(Long gasAgentId) {
        this.gasAgentId = gasAgentId;
    }

    public String getGasAgentName() {
        return gasAgentName;
    }

    public void setGasAgentName(String gasAgentName) {
        this.gasAgentName = gasAgentName;
    }

    public Long getGasOrgId() {
        return gasOrgId;
    }

    public void setGasOrgId(Long gasOrgId) {
        this.gasOrgId = gasOrgId;
    }

    public String getGasOrgName() {
        return gasOrgName;
    }

    public void setGasOrgName(String gasOrgName) {
        this.gasOrgName = gasOrgName;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getCancelTime() {
        return cancelTime;
    }

    public void setCancelTime(Date cancelTime) {
        this.cancelTime = cancelTime;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Date getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }

    public String getRefundRemarks() {
        return refundRemarks;
    }

    public void setRefundRemarks(String refundRemarks) {
        this.refundRemarks = refundRemarks;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    public String getExt4() {
        return ext4;
    }

    public void setExt4(String ext4) {
        this.ext4 = ext4;
    }

    public String getExt5() {
        return ext5;
    }

    public void setExt5(String ext5) {
        this.ext5 = ext5;
    }

    public String getExt6() {
        return ext6;
    }

    public void setExt6(String ext6) {
        this.ext6 = ext6;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HighGasOrder other = (HighGasOrder) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getOrderNo() == null ? other.getOrderNo() == null : this.getOrderNo().equals(other.getOrderNo()))
            && (this.getChildOrderNo() == null ? other.getChildOrderNo() == null : this.getChildOrderNo().equals(other.getChildOrderNo()))
            && (this.getChannelType() == null ? other.getChannelType() == null : this.getChannelType().equals(other.getChannelType()))
            && (this.getChannelOrderNo() == null ? other.getChannelOrderNo() == null : this.getChannelOrderNo().equals(other.getChannelOrderNo()))
            && (this.getMemId() == null ? other.getMemId() == null : this.getMemId().equals(other.getMemId()))
            && (this.getMemPhone() == null ? other.getMemPhone() == null : this.getMemPhone().equals(other.getMemPhone()))
            && (this.getCompanyId() == null ? other.getCompanyId() == null : this.getCompanyId().equals(other.getCompanyId()))
            && (this.getCompanyName() == null ? other.getCompanyName() == null : this.getCompanyName().equals(other.getCompanyName()))
            && (this.getMerId() == null ? other.getMerId() == null : this.getMerId().equals(other.getMerId()))
            && (this.getMerName() == null ? other.getMerName() == null : this.getMerName().equals(other.getMerName()))
            && (this.getStoreId() == null ? other.getStoreId() == null : this.getStoreId().equals(other.getStoreId()))
            && (this.getStoreName() == null ? other.getStoreName() == null : this.getStoreName().equals(other.getStoreName()))
            && (this.getStoreAddress() == null ? other.getStoreAddress() == null : this.getStoreAddress().equals(other.getStoreAddress()))
            && (this.getTotalDeductionPrice() == null ? other.getTotalDeductionPrice() == null : this.getTotalDeductionPrice().equals(other.getTotalDeductionPrice()))
            && (this.getDeductionCouponPrice() == null ? other.getDeductionCouponPrice() == null : this.getDeductionCouponPrice().equals(other.getDeductionCouponPrice()))
            && (this.getDeductionProductPrice() == null ? other.getDeductionProductPrice() == null : this.getDeductionProductPrice().equals(other.getDeductionProductPrice()))
            && (this.getPayablePrice() == null ? other.getPayablePrice() == null : this.getPayablePrice().equals(other.getPayablePrice()))
            && (this.getMemCardType() == null ? other.getMemCardType() == null : this.getMemCardType().equals(other.getMemCardType()))
            && (this.getMemCardNo() == null ? other.getMemCardNo() == null : this.getMemCardNo().equals(other.getMemCardNo()))
            && (this.getPayGold() == null ? other.getPayGold() == null : this.getPayGold().equals(other.getPayGold()))
            && (this.getPayPrice() == null ? other.getPayPrice() == null : this.getPayPrice().equals(other.getPayPrice()))
            && (this.getGasRefuelPrice() == null ? other.getGasRefuelPrice() == null : this.getGasRefuelPrice().equals(other.getGasRefuelPrice()))
            && (this.getGasCarLicensePlate() == null ? other.getGasCarLicensePlate() == null : this.getGasCarLicensePlate().equals(other.getGasCarLicensePlate()))
            && (this.getGasOilNo() == null ? other.getGasOilNo() == null : this.getGasOilNo().equals(other.getGasOilNo()))
            && (this.getGasGunNo() == null ? other.getGasGunNo() == null : this.getGasGunNo().equals(other.getGasGunNo()))
            && (this.getGasOilType() == null ? other.getGasOilType() == null : this.getGasOilType().equals(other.getGasOilType()))
            && (this.getGasPricePlatform() == null ? other.getGasPricePlatform() == null : this.getGasPricePlatform().equals(other.getGasPricePlatform()))
            && (this.getGasPriceGun() == null ? other.getGasPriceGun() == null : this.getGasPriceGun().equals(other.getGasPriceGun()))
            && (this.getGasPriceVip() == null ? other.getGasPriceVip() == null : this.getGasPriceVip().equals(other.getGasPriceVip()))
            && (this.getGasPriceOfficial() == null ? other.getGasPriceOfficial() == null : this.getGasPriceOfficial().equals(other.getGasPriceOfficial()))
            && (this.getGasPriceCost() == null ? other.getGasPriceCost() == null : this.getGasPriceCost().equals(other.getGasPriceCost()))
            && (this.getGasPriceCostTotal() == null ? other.getGasPriceCostTotal() == null : this.getGasPriceCostTotal().equals(other.getGasPriceCostTotal()))
            && (this.getGasPriceChannelPay() == null ? other.getGasPriceChannelPay() == null : this.getGasPriceChannelPay().equals(other.getGasPriceChannelPay()))
            && (this.getGasOilLiters() == null ? other.getGasOilLiters() == null : this.getGasOilLiters().equals(other.getGasOilLiters()))
            && (this.getGasDiscount() == null ? other.getGasDiscount() == null : this.getGasDiscount().equals(other.getGasDiscount()))
            && (this.getGasOilSubsidy() == null ? other.getGasOilSubsidy() == null : this.getGasOilSubsidy().equals(other.getGasOilSubsidy()))
            && (this.getGasLitersPreferences() == null ? other.getGasLitersPreferences() == null : this.getGasLitersPreferences().equals(other.getGasLitersPreferences()))
            && (this.getGasPricePreferences() == null ? other.getGasPricePreferences() == null : this.getGasPricePreferences().equals(other.getGasPricePreferences()))
            && (this.getGasClassGroupId() == null ? other.getGasClassGroupId() == null : this.getGasClassGroupId().equals(other.getGasClassGroupId()))
            && (this.getGasClassGroupName() == null ? other.getGasClassGroupName() == null : this.getGasClassGroupName().equals(other.getGasClassGroupName()))
            && (this.getGasClassGroupTaskId() == null ? other.getGasClassGroupTaskId() == null : this.getGasClassGroupTaskId().equals(other.getGasClassGroupTaskId()))
            && (this.getGasStaffId() == null ? other.getGasStaffId() == null : this.getGasStaffId().equals(other.getGasStaffId()))
            && (this.getGasStaffName() == null ? other.getGasStaffName() == null : this.getGasStaffName().equals(other.getGasStaffName()))
            && (this.getGasSalesmanId() == null ? other.getGasSalesmanId() == null : this.getGasSalesmanId().equals(other.getGasSalesmanId()))
            && (this.getGasSalesmanName() == null ? other.getGasSalesmanName() == null : this.getGasSalesmanName().equals(other.getGasSalesmanName()))
            && (this.getGasAgentId() == null ? other.getGasAgentId() == null : this.getGasAgentId().equals(other.getGasAgentId()))
            && (this.getGasAgentName() == null ? other.getGasAgentName() == null : this.getGasAgentName().equals(other.getGasAgentName()))
            && (this.getGasOrgId() == null ? other.getGasOrgId() == null : this.getGasOrgId().equals(other.getGasOrgId()))
            && (this.getGasOrgName() == null ? other.getGasOrgName() == null : this.getGasOrgName().equals(other.getGasOrgName()))
            && (this.getPayType() == null ? other.getPayType() == null : this.getPayType().equals(other.getPayType()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getCancelTime() == null ? other.getCancelTime() == null : this.getCancelTime().equals(other.getCancelTime()))
            && (this.getPayTime() == null ? other.getPayTime() == null : this.getPayTime().equals(other.getPayTime()))
            && (this.getRefundTime() == null ? other.getRefundTime() == null : this.getRefundTime().equals(other.getRefundTime()))
            && (this.getRefundRemarks() == null ? other.getRefundRemarks() == null : this.getRefundRemarks().equals(other.getRefundRemarks()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()))
            && (this.getExt4() == null ? other.getExt4() == null : this.getExt4().equals(other.getExt4()))
            && (this.getExt5() == null ? other.getExt5() == null : this.getExt5().equals(other.getExt5()))
            && (this.getExt6() == null ? other.getExt6() == null : this.getExt6().equals(other.getExt6()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getOrderNo() == null) ? 0 : getOrderNo().hashCode());
        result = prime * result + ((getChildOrderNo() == null) ? 0 : getChildOrderNo().hashCode());
        result = prime * result + ((getChannelType() == null) ? 0 : getChannelType().hashCode());
        result = prime * result + ((getChannelOrderNo() == null) ? 0 : getChannelOrderNo().hashCode());
        result = prime * result + ((getMemId() == null) ? 0 : getMemId().hashCode());
        result = prime * result + ((getMemPhone() == null) ? 0 : getMemPhone().hashCode());
        result = prime * result + ((getCompanyId() == null) ? 0 : getCompanyId().hashCode());
        result = prime * result + ((getCompanyName() == null) ? 0 : getCompanyName().hashCode());
        result = prime * result + ((getMerId() == null) ? 0 : getMerId().hashCode());
        result = prime * result + ((getMerName() == null) ? 0 : getMerName().hashCode());
        result = prime * result + ((getStoreId() == null) ? 0 : getStoreId().hashCode());
        result = prime * result + ((getStoreName() == null) ? 0 : getStoreName().hashCode());
        result = prime * result + ((getStoreAddress() == null) ? 0 : getStoreAddress().hashCode());
        result = prime * result + ((getTotalDeductionPrice() == null) ? 0 : getTotalDeductionPrice().hashCode());
        result = prime * result + ((getDeductionCouponPrice() == null) ? 0 : getDeductionCouponPrice().hashCode());
        result = prime * result + ((getDeductionProductPrice() == null) ? 0 : getDeductionProductPrice().hashCode());
        result = prime * result + ((getPayablePrice() == null) ? 0 : getPayablePrice().hashCode());
        result = prime * result + ((getMemCardType() == null) ? 0 : getMemCardType().hashCode());
        result = prime * result + ((getMemCardNo() == null) ? 0 : getMemCardNo().hashCode());
        result = prime * result + ((getPayGold() == null) ? 0 : getPayGold().hashCode());
        result = prime * result + ((getPayPrice() == null) ? 0 : getPayPrice().hashCode());
        result = prime * result + ((getGasRefuelPrice() == null) ? 0 : getGasRefuelPrice().hashCode());
        result = prime * result + ((getGasCarLicensePlate() == null) ? 0 : getGasCarLicensePlate().hashCode());
        result = prime * result + ((getGasOilNo() == null) ? 0 : getGasOilNo().hashCode());
        result = prime * result + ((getGasGunNo() == null) ? 0 : getGasGunNo().hashCode());
        result = prime * result + ((getGasOilType() == null) ? 0 : getGasOilType().hashCode());
        result = prime * result + ((getGasPricePlatform() == null) ? 0 : getGasPricePlatform().hashCode());
        result = prime * result + ((getGasPriceGun() == null) ? 0 : getGasPriceGun().hashCode());
        result = prime * result + ((getGasPriceVip() == null) ? 0 : getGasPriceVip().hashCode());
        result = prime * result + ((getGasPriceOfficial() == null) ? 0 : getGasPriceOfficial().hashCode());
        result = prime * result + ((getGasPriceCost() == null) ? 0 : getGasPriceCost().hashCode());
        result = prime * result + ((getGasPriceCostTotal() == null) ? 0 : getGasPriceCostTotal().hashCode());
        result = prime * result + ((getGasPriceChannelPay() == null) ? 0 : getGasPriceChannelPay().hashCode());
        result = prime * result + ((getGasOilLiters() == null) ? 0 : getGasOilLiters().hashCode());
        result = prime * result + ((getGasDiscount() == null) ? 0 : getGasDiscount().hashCode());
        result = prime * result + ((getGasOilSubsidy() == null) ? 0 : getGasOilSubsidy().hashCode());
        result = prime * result + ((getGasLitersPreferences() == null) ? 0 : getGasLitersPreferences().hashCode());
        result = prime * result + ((getGasPricePreferences() == null) ? 0 : getGasPricePreferences().hashCode());
        result = prime * result + ((getGasClassGroupId() == null) ? 0 : getGasClassGroupId().hashCode());
        result = prime * result + ((getGasClassGroupName() == null) ? 0 : getGasClassGroupName().hashCode());
        result = prime * result + ((getGasClassGroupTaskId() == null) ? 0 : getGasClassGroupTaskId().hashCode());
        result = prime * result + ((getGasStaffId() == null) ? 0 : getGasStaffId().hashCode());
        result = prime * result + ((getGasStaffName() == null) ? 0 : getGasStaffName().hashCode());
        result = prime * result + ((getGasSalesmanId() == null) ? 0 : getGasSalesmanId().hashCode());
        result = prime * result + ((getGasSalesmanName() == null) ? 0 : getGasSalesmanName().hashCode());
        result = prime * result + ((getGasAgentId() == null) ? 0 : getGasAgentId().hashCode());
        result = prime * result + ((getGasAgentName() == null) ? 0 : getGasAgentName().hashCode());
        result = prime * result + ((getGasOrgId() == null) ? 0 : getGasOrgId().hashCode());
        result = prime * result + ((getGasOrgName() == null) ? 0 : getGasOrgName().hashCode());
        result = prime * result + ((getPayType() == null) ? 0 : getPayType().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getCancelTime() == null) ? 0 : getCancelTime().hashCode());
        result = prime * result + ((getPayTime() == null) ? 0 : getPayTime().hashCode());
        result = prime * result + ((getRefundTime() == null) ? 0 : getRefundTime().hashCode());
        result = prime * result + ((getRefundRemarks() == null) ? 0 : getRefundRemarks().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        result = prime * result + ((getExt4() == null) ? 0 : getExt4().hashCode());
        result = prime * result + ((getExt5() == null) ? 0 : getExt5().hashCode());
        result = prime * result + ((getExt6() == null) ? 0 : getExt6().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", orderNo=").append(orderNo);
        sb.append(", childOrderNo=").append(childOrderNo);
        sb.append(", channelType=").append(channelType);
        sb.append(", channelOrderNo=").append(channelOrderNo);
        sb.append(", memId=").append(memId);
        sb.append(", memPhone=").append(memPhone);
        sb.append(", companyId=").append(companyId);
        sb.append(", companyName=").append(companyName);
        sb.append(", merId=").append(merId);
        sb.append(", merName=").append(merName);
        sb.append(", storeId=").append(storeId);
        sb.append(", storeName=").append(storeName);
        sb.append(", storeAddress=").append(storeAddress);
        sb.append(", totalDeductionPrice=").append(totalDeductionPrice);
        sb.append(", deductionCouponPrice=").append(deductionCouponPrice);
        sb.append(", deductionProductPrice=").append(deductionProductPrice);
        sb.append(", payablePrice=").append(payablePrice);
        sb.append(", memCardType=").append(memCardType);
        sb.append(", memCardNo=").append(memCardNo);
        sb.append(", payGold=").append(payGold);
        sb.append(", payPrice=").append(payPrice);
        sb.append(", gasRefuelPrice=").append(gasRefuelPrice);
        sb.append(", gasCarLicensePlate=").append(gasCarLicensePlate);
        sb.append(", gasOilNo=").append(gasOilNo);
        sb.append(", gasGunNo=").append(gasGunNo);
        sb.append(", gasOilType=").append(gasOilType);
        sb.append(", gasPricePlatform=").append(gasPricePlatform);
        sb.append(", gasPriceGun=").append(gasPriceGun);
        sb.append(", gasPriceVip=").append(gasPriceVip);
        sb.append(", gasPriceOfficial=").append(gasPriceOfficial);
        sb.append(", gasPriceCost=").append(gasPriceCost);
        sb.append(", gasPriceCostTotal=").append(gasPriceCostTotal);
        sb.append(", gasPriceChannelPay=").append(gasPriceChannelPay);
        sb.append(", gasOilLiters=").append(gasOilLiters);
        sb.append(", gasDiscount=").append(gasDiscount);
        sb.append(", gasOilSubsidy=").append(gasOilSubsidy);
        sb.append(", gasLitersPreferences=").append(gasLitersPreferences);
        sb.append(", gasPricePreferences=").append(gasPricePreferences);
        sb.append(", gasClassGroupId=").append(gasClassGroupId);
        sb.append(", gasClassGroupName=").append(gasClassGroupName);
        sb.append(", gasClassGroupTaskId=").append(gasClassGroupTaskId);
        sb.append(", gasStaffId=").append(gasStaffId);
        sb.append(", gasStaffName=").append(gasStaffName);
        sb.append(", gasSalesmanId=").append(gasSalesmanId);
        sb.append(", gasSalesmanName=").append(gasSalesmanName);
        sb.append(", gasAgentId=").append(gasAgentId);
        sb.append(", gasAgentName=").append(gasAgentName);
        sb.append(", gasOrgId=").append(gasOrgId);
        sb.append(", gasOrgName=").append(gasOrgName);
        sb.append(", payType=").append(payType);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", cancelTime=").append(cancelTime);
        sb.append(", payTime=").append(payTime);
        sb.append(", refundTime=").append(refundTime);
        sb.append(", refundRemarks=").append(refundRemarks);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", ext4=").append(ext4);
        sb.append(", ext5=").append(ext5);
        sb.append(", ext6=").append(ext6);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}